Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062619 - [abrt] libwebkit2gtk: WTFCrash(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] libwebkit2gtk: WTFCrash(): WebKitWebProcess killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:33f594af179d121e183934447cb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 14:00 UTC by Chen_Min_Chin
Modified: 2015-06-29 15:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:03:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: cgroup (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: dso_list (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: environ (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: exploitable (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: limits (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: maps (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: open_fds (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (deleted)
2014-02-07 14:01 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2014-02-07 14:00:53 UTC
Description of problem:
1.browse local file.
2.play a video.
3.crash.

Version-Release number of selected component:
libwebkit2gtk-2.2.4-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 19
crash_function: WTFCrash
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.12.9-301.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTFCrash at Source/WTF/wtf/Assertions.cpp:342
 #1 Allocate at Source/WTF/wtf/FastMalloc.cpp:3319
 #2 do_malloc<true> at Source/WTF/wtf/FastMalloc.cpp:4059
 #3 fastMalloc<true> at Source/WTF/wtf/FastMalloc.cpp:4280
 #4 WTF::fastMalloc at Source/WTF/wtf/FastMalloc.cpp:4243
 #5 allocateBuffer at Source/WTF/wtf/Vector.h:259
 #6 reserveInitialCapacity at Source/WTF/wtf/Vector.h:971
 #7 JSC::Lexer<unsigned char>::setCode at Source/JavaScriptCore/parser/Lexer.cpp:559
 #8 JSC::Parser<JSC::Lexer<unsigned char> >::Parser at Source/JavaScriptCore/parser/Parser.cpp:82
 #9 JSC::parse<JSC::ProgramNode> at Source/JavaScriptCore/parser/Parser.h:1088

Comment 1 Chen_Min_Chin 2014-02-07 14:01:04 UTC
Created attachment 860525 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2014-02-07 14:01:07 UTC
Created attachment 860526 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2014-02-07 14:01:14 UTC
Created attachment 860527 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2014-02-07 14:01:18 UTC
Created attachment 860528 [details]
File: dso_list

Comment 5 Chen_Min_Chin 2014-02-07 14:01:20 UTC
Created attachment 860529 [details]
File: environ

Comment 6 Chen_Min_Chin 2014-02-07 14:01:23 UTC
Created attachment 860530 [details]
File: exploitable

Comment 7 Chen_Min_Chin 2014-02-07 14:01:25 UTC
Created attachment 860531 [details]
File: limits

Comment 8 Chen_Min_Chin 2014-02-07 14:01:31 UTC
Created attachment 860532 [details]
File: maps

Comment 9 Chen_Min_Chin 2014-02-07 14:01:33 UTC
Created attachment 860533 [details]
File: open_fds

Comment 10 Chen_Min_Chin 2014-02-07 14:01:37 UTC
Created attachment 860534 [details]
File: proc_pid_status

Comment 11 Chen_Min_Chin 2014-02-07 14:01:40 UTC
Created attachment 860535 [details]
File: var_log_messages

Comment 12 Diogo Campos 2014-05-12 08:14:23 UTC
Another user experienced a similar problem:

GNOME Web 3.10.3. Browser plugins are disabled. GStreamer plugins from RPMFusion were not installed yet.

Just tried to play an embedded Youtube video. Web crashed. Immediately after PackageKit(?) (asked and) installed the required VIDEO plugins. Tried to play the same video again. Web crashed again. Immediately after PackageKit(?) (asked and) installed the required AUDIO plugins. Tried to play the same video for the third time. It worked.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 17
crash_function: WTFCrash
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.14.3-200.fc20.i686
package:        libwebkit2gtk-2.2.7-1.fc20
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Diogo Campos 2014-05-14 03:34:28 UTC
Another user experienced a similar problem:

GNOME Web 3.10.3. Browser plugins disabled. Looking at threebean.org/blog/bodhi2-karma-system-preview/ and Web crashed.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/WebKitWebProcess 17
crash_function: WTFCrash
executable:     /usr/libexec/WebKitWebProcess
kernel:         3.14.3-200.fc20.i686
package:        libwebkit2gtk-2.2.7-1.fc20
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2015-05-29 10:50:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 15:03:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.